Roborock Go SDK
OpenapiAuthentication

Get Home Detail

Reference contract from the pinned Python Roborock web API; caller selects the region explicitly.

GET
/api/v1/getHomeDetail

Header Parameters

Authorization*string
header_clientid*string

Response Body

application/json

curl -X GET "https://example.com/api/v1/getHomeDetail" \  -H "Authorization: string" \  -H "header_clientid: string"
{  "code": 0,  "data": {    "name": "string",    "rrHomeId": 0,    "property1": null,    "property2": null  },  "msg": "string",  "property1": null,  "property2": null}